Subject: Re: [PATCH v3 2/2] builtin/remote.c: show progress when renaming remote references

From: Taylor Blau <[email-masked]>
Date: Thu, 3 Mar 2022 18:30:02 -0500

On Thu, Mar 03, 2022 at 03:20:48PM -0800, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > Instead of a more complex modification to the ref transaction code,
> > display a progress meter when running verbosely in order to convince the
> > user that Git is doing work while renaming a remote.
>
> Is it still "when running verbosely"?
>
> I thought that tying this to --[no-]progress was the whole point of
> iterating another round.
>
> 	... when the standard error output is connected to a
> 	terminal, so that user knows Git is not completely stuck.

Ah, I glossed over this (stale) reference to the verbose option. I'm
almost willing to let it go, since it doesn't mention `--verbose`
directly, but happy to change it, too.

> > This is mostly done as-expected, with the minor caveat that we
> > intentionally count symrefs renames twice, since renaming a symref takes
> > place over two separate calls (one to delete the old one, and another to
> > create the new one).
>
> That's a nice note to leave here, as it is a bit tricky to reason about.

Thanks, it's the sort of thing that I'd hope to find in a commit message
if I were confused about something.

> Do we already have an entry for the --progress option in the
> description part of the documentation?  I think the way progress
> works in the context of this command is pretty much bog-standard
> one that we may not have to, once the user has seen how progress
> options work elsewhere.
>
> If not, then we'd want something like this squashed in, perhaps?

I like the suggestion, but I agree it's probably not necessary since
this usage is standard. I thought I had written something explaining the
option explicitly in this section, but apparently dropped it when
preparing this patch. Ugh.

Thanks,
Taylor